Subject: Re: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: martin rudalics <[email-masked]>
Date: Thu, 30 Jan 2014 19:46:45 +0100

> That's sad.  I thought it was one of the nicest and most immediately
 > beneficial part of having pixel-sized windows.

Strictly spoken it was a bug - the pre-pixelwise behavior should have
been preserved and that was to resize line/characterwise.  What if
someone insists that her windows should always have an integral multiple
of the character size?  The idea was to make pixelwise effects
obtainable only via setting `window-resize-pixelwise' to non-nil.

 > And I wonder if it's really needed: Darren's complaint seems to point at
 > each redisplay being slow rather than redisplay happening too many times.

The resizing behavior is sluggish indeed - especially on Lucid and
Motif.  Try with the upper window in a vertical split and

(while t
   (adjust-window-trailing-edge nil 1 nil 1)
   (sit-for 0.1))

martin